install composer via brew :D

ketika akan menginstall yii2 di mac osx yang memakai composer , kemudian muncul error sebagai berikut :

 brew install composer PHP Warning:  Module ‘curl’ already loaded in Unknown on line 0 composer: Missing PHP53, PHP54, PHP55 or PHP56 from homebrew-php.

 

kemudian saya mengatasi nya dengan browsing di google dan menemukan source yang memberikan tulisan sebagai berikut :

brew install php56

kemudian ternyata masih belum bisa memakai composer 🙁

masih harus doing this ->

curl -sS https://getcomposer.org/installer | php
mv composer.phar /usr/local/bin/composer

dan somehow 
tidak bisa memakai php composer.phar jadi hanya memakai composer saja 😀